import { r as registerInstance, h, H as Host } from './core-1db051ba.js';

const Tabs = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
    }
    render() {
        return h(Host, { role: "tablist" });
    }
    static get style() { return ".sc-anj-tabs-h {\n  display: -ms-flexbox;\n  display: flex;\n  font-size: 0.875rem;\n  font-family: var(--anj-font-family);\n  font-weight: normal;\n  line-height: 1.5;\n  outline: none;\n  border-bottom: 1px solid var(--anj-border);\n  display: flex;\n  -ms-flex-wrap: wrap;\n  flex-wrap: wrap;\n}\n.sc-anj-tabs-h, .sc-anj-tabs-h::before, .sc-anj-tabs-h::after {\n  -webkit-box-sizing: border-box;\n  box-sizing: border-box;\n  outline: none;\n}\n.sc-anj-tabs-h:focus, .sc-anj-tabs-h:active, .sc-anj-tabs-h *.sc-anj-tabs:focus, .sc-anj-tabs-h *.sc-anj-tabs:active {\n  outline: none;\n}"; }
};

export { Tabs as anj_tabs };
